## ansible 2.9.6+dfsg

=== Makefile ===
# WARN: gmake syntax
########################################################
# Makefile for Ansible
#
# useful targets:
#   make clean ---------------- clean up
#   make webdocs -------------- produce ansible doc at docs/docsite/_build/html
#   make sdist ---------------- produce a tarball
#   make srpm ----------------- produce a SRPM
#   make rpm  ----------------- produce RPMs
#   make deb-src -------------- produce a DEB source
#   make deb ------------------ produce a DEB
#   make docs ----------------- rebuild the manpages (results are checked in)
#   make tests ---------------- run the tests (see https://docs.ansible.com/ansible/devel/dev_guide/testing_units.html for requirements)

########################################################
# variable section

NAME = ansible
OS = $(shell uname -s)
PREFIX ?= '/usr/local'
SDIST_DIR ?= 'dist'

# This doesn't evaluate until it's called. The -D argument is the
# directory of the target file ($@), kinda like `dirname`.
MANPAGES ?= $(patsubst %.rst.in,%,$(wildcard ./docs/man/man1/ansible*.1.rst.in))
ifneq ($(shell which rst2man 2>/dev/null),)
ASCII2MAN = rst2man $< $@
else ifneq ($(shell which rst2man.py 2>/dev/null),)
ASCII2MAN = rst2man.py $< $@
else
ASCII2MAN = @echo "ERROR: rst2man from docutils command is not installed but is required to build $(MANPAGES)" && exit 1
endif

PYTHON=python
GENERATE_CLI = hacking/build-ansible.py generate-man

SITELIB = $(shell $(PYTHON) -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

# fetch version from project release.py as single source-of-truth
VERSION := $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --raw || echo error)
ifeq ($(findstring error,$(VERSION)), error)
$(error "version_helper failed")
endif

MAJOR_VERSION := $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --majorversion)
CODENAME := $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --codename)

# if a specific release was not requested, set to 1 (RPMs have "fancier" logic for this further down)
RELEASE ?= 1

# Get the branch information from git
ifneq ($(shell which git),)
GIT_DATE := $(shell git log -n 1 --format="%ci")
GIT_HASH := $(shell git log -n 1 --format="%h")
GIT_BRANCH := $(shell git rev-parse --abbrev-ref HEAD | sed 's/[-_.\/]//g')
GITINFO = .$(GIT_HASH).$(GIT_BRANCH)
else
GITINFO = ""
endif

ifeq ($(shell echo $(OS) | egrep -c 'Darwin|FreeBSD|OpenBSD|DragonFly'),1)
DATE := $(shell date -j -r $(shell git log -n 1 --format="%ct") +%Y%m%d%H%M)
CPUS ?= $(shell sysctl hw.ncpu|awk '{print $$2}')
else
DATE := $(shell date --utc --date="$(GIT_DATE)" +%Y%m%d%H%M)
CPUS ?= $(shell nproc)
endif

# DEB build parameters
DEBUILD_BIN ?= debuild
DEBUILD_OPTS = --source-option="-I"
DPUT_BIN ?= dput
DPUT_OPTS ?=
DEB_DATE := $(shell LC_TIME=C date +"%a, %d %b %Y %T %z")
DEB_VERSION ?= $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --debversion)
ifeq ($(OFFICIAL),yes)
    DEB_RELEASE ?= $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --debrelease)ppa
    # Sign OFFICIAL builds using 'DEBSIGN_KEYID'
    # DEBSIGN_KEYID is required when signing
    ifneq ($(DEBSIGN_KEYID),)
        DEBUILD_OPTS += -k$(DEBSIGN_KEYID)
    endif
else
    DEB_RELEASE ?= 100.git$(DATE)$(GITINFO)
    # Do not sign unofficial builds
    DEBUILD_OPTS += -uc -us
    DPUT_OPTS += -u
endif
DEBUILD = $(DEBUILD_BIN) $(DEBUILD_OPTS)
DEB_PPA ?= ppa
# Choose the desired Ubuntu release: lucid precise saucy trusty
DEB_DIST ?= unstable

# pbuilder parameters
PBUILDER_ARCH ?= amd64
PBUILDER_CACHE_DIR = /var/cache/pbuilder
PBUILDER_BIN ?= pbuilder
PBUILDER_OPTS ?= --debootstrapopts --variant=buildd --architecture $(PBUILDER_ARCH) --debbuildopts -b

# RPM build parameters
RPMSPECDIR= packaging/rpm
RPMSPEC = $(RPMSPECDIR)/ansible.spec
RPMDIST = $(shell rpm --eval '%{?dist}')

ifneq ($(OFFICIAL),yes)
    RPMRELEASE = 100.git$(DATE)$(GITINFO)
endif
ifeq ($(PUBLISH),nightly)
    # https://fedoraproject.org/wiki/Packaging:Versioning#Snapshots
    RPMRELEASE = $(RELEASE).$(DATE)git.$(GIT_HASH)
endif

RPMVERSION ?= $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --baseversion)
RPMRELEASE ?= $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --rpmrelease)
RPMNVR = "$(NAME)-$(RPMVERSION)-$(RPMRELEASE)$(RPMDIST)$(REPOTAG)"

# MOCK build parameters
MOCK_BIN ?= mock
MOCK_CFG ?=

# dynamically add repotag define only if specified
ifneq ($(REPOTAG),)
    EXTRA_RPM_DEFINES += --define "repotag $(REPOTAG)"
endif

# ansible-test parameters
ANSIBLE_TEST ?= bin/ansible-test
TEST_FLAGS ?=

# ansible-test units parameters (make test / make test-py3)
PYTHON_VERSION ?= $(shell python2 -c 'import sys; print("%s.%s" % sys.version_info[:2])')
PYTHON3_VERSION ?= $(shell python3 -c 'import sys; print("%s.%s" % sys.version_info[:2])')

# ansible-test integration parameters (make integration)
IMAGE ?= centos7
TARGET ?=

########################################################

.PHONY: all
all: clean python

.PHONY: tests
tests:
	$(ANSIBLE_TEST) units -v --python $(PYTHON_VERSION) $(TEST_FLAGS)

.PHONY: tests-py3
tests-py3:
	$(ANSIBLE_TEST) units -v --python $(PYTHON3_VERSION) $(TEST_FLAGS)

.PHONY: tests-nonet
tests-nonet:
	$(ANSIBLE_TEST) units -v --python $(PYTHON_VERSION) $(TEST_FLAGS)  --exclude test/units/modules/network/

.PHONY: integration
integration:
	$(ANSIBLE_TEST) integration -v --docker $(IMAGE) $(TARGET) $(TEST_FLAGS)

.PHONY: authors
authors:
	sh hacking/authors.sh

# Regenerate %.1.rst if %.1.rst.in has been modified more
# recently than %.1.rst.
%.1.rst: %.1.rst.in
	sed "s/%VERSION%/$(VERSION)/" $< > $@
	rm $<

# Regenerate %.1 if %.1.rst or release.py has been modified more
# recently than %.1. (Implicitly runs the %.1.rst recipe)
%.1: %.1.rst lib/ansible/release.py
	$(ASCII2MAN)

.PHONY: clean
clean:
	@echo "Cleaning up distutils stuff"
	rm -rf build
	rm -rf dist
	rm -rf lib/ansible.egg-info/
	@echo "Cleaning up byte compiled python stuff"
	find . -type f -regex ".*\.py[co]$$" -delete
	find . -type d -name "__pycache__" -delete
	@echo "Cleaning up editor backup files"
	find . -type f -not -path ./test/units/inventory_test_data/group_vars/noparse/all.yml~ \( -name "*~" -or -name "#*" \) -delete
	find . -type f \( -name "*.swp" \) -delete
	@echo "Cleaning up manpage stuff"
	find ./docs/man -type f -name "*.xml" -delete
	find ./docs/man -type f -name "*.rst" -delete
	find ./docs/man/man3 -type f -name "*.3" -delete
	rm -f ./docs/man/man1/*
	@echo "Cleaning up output from test runs"
	rm -rf test/test_data
	rm -rf shippable/
	rm -rf logs/
	rm -rf .cache/
	rm -f test/units/.coverage*
	rm -rf test/results/*/*
	find test/ -type f -name '*.retry' -delete
	@echo "Cleaning up RPM building stuff"
	rm -rf MANIFEST rpm-build
	@echo "Cleaning up Debian building stuff"
	rm -rf debian
	rm -rf deb-build
	rm -rf docs/json
	rm -rf docs/js
	@echo "Cleaning up authors file"
	rm -f AUTHORS.TXT
	@echo "Cleaning up docsite"
	$(MAKE) -C docs/docsite clean

.PHONY: python
python:
	$(PYTHON) setup.py build

.PHONY: install
install:
	$(PYTHON) setup.py install

install_manpages:
	gzip -9 $(wildcard ./docs/man/man1/ansible*.1)
	cp $(wildcard ./docs/man/man1/ansible*.1.gz) $(PREFIX)/man/man1/

.PHONY: sdist_check
sdist_check:
	$(PYTHON) packaging/sdist/check-link-behavior.py

.PHONY: sdist
sdist: sdist_check clean docs
	_ANSIBLE_SDIST_FROM_MAKEFILE=1 $(PYTHON) setup.py sdist --dist-dir=$(SDIST_DIR)

# Official releases generate the changelog as the last commit before the release.
# Snapshots shouldn't result in new checkins so the changelog is generated as
# part of creating the tarball.
.PHONY: snapshot
snapshot: sdist_check clean docs changelog
	_ANSIBLE_SDIST_FROM_MAKEFILE=1 $(PYTHON) setup.py sdist --dist-dir=$(SDIST_DIR)

.PHONY: sdist_upload
sdist_upload: clean docs
	$(PYTHON) setup.py sdist upload 2>&1 |tee upload.log

.PHONY: changelog
changelog:
	PYTHONPATH=./lib packaging/release/changelogs/changelog.py release -vv && PYTHONPATH=./lib packaging/release/changelogs/changelog.py generate -vv

.PHONY: rpmcommon
rpmcommon: sdist
	@mkdir -p rpm-build
	@cp dist/*.gz rpm-build/
	@cp $(RPMSPEC) rpm-build/$(NAME).spec

.PHONY: mock-srpm
mock-srpm: /etc/mock/$(MOCK_CFG).cfg rpmcommon
	$(MOCK_BIN) -r $(MOCK_CFG) $(MOCK_ARGS) --resultdir rpm-build/ --bootstrap-chroot --old-chroot --buildsrpm --spec rpm-build/$(NAME).spec --sources rpm-build/ \
	--define "rpmversion $(RPMVERSION)" \
	--define "upstream_version $(VERSION)" \
	--define "rpmrelease $(RPMRELEASE)" \
	$(EXTRA_RPM_DEFINES)
	@echo "#############################################"
	@echo "Ansible SRPM is built:"
	@echo rpm-build/*.src.rpm
	@echo "#############################################"

.PHONY: mock-rpm
mock-rpm: /etc/mock/$(MOCK_CFG).cfg mock-srpm
	$(MOCK_BIN) -r $(MOCK_CFG) $(MOCK_ARGS) --resultdir rpm-build/ --bootstrap-chroot --old-chroot --rebuild rpm-build/$(NAME)-*.src.rpm \
	--define "rpmversion $(RPMVERSION)" \
	--define "upstream_version $(VERSION)" \
	--define "rpmrelease $(RPMRELEASE)" \
	$(EXTRA_RPM_DEFINES)
	@echo "#############################################"
	@echo "Ansible RPM is built:"
	@echo rpm-build/*.noarch.rpm
	@echo "#############################################"

.PHONY: srpm
srpm: rpmcommon
	@rpmbuild --define "_topdir %(pwd)/rpm-build" \
	--define "_builddir %{_topdir}" \
	--define "_rpmdir %{_topdir}" \
	--define "_srcrpmdir %{_topdir}" \
	--define "_specdir $(RPMSPECDIR)" \
	--define "_sourcedir %{_topdir}" \
	--define "upstream_version $(VERSION)" \
	--define "rpmversion $(RPMVERSION)" \
	--define "rpmrelease $(RPMRELEASE)" \
	$(EXTRA_RPM_DEFINES) \
	-bs rpm-build/$(NAME).spec
	@rm -f rpm-build/$(NAME).spec
	@echo "#############################################"
	@echo "Ansible SRPM is built:"
	@echo "    rpm-build/$(RPMNVR).src.rpm"
	@echo "#############################################"

.PHONY: rpm
rpm: rpmcommon
	@rpmbuild --define "_topdir %(pwd)/rpm-build" \
	--define "_builddir %{_topdir}" \
	--define "_rpmdir %{_topdir}" \
	--define "_srcrpmdir %{_topdir}" \
	--define "_specdir $(RPMSPECDIR)" \
	--define "_sourcedir %{_topdir}" \
	--define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" \
	--define "__python `which $(PYTHON)`" \
	--define "upstream_version $(VERSION)" \
	--define "rpmversion $(RPMVERSION)" \
	--define "rpmrelease $(RPMRELEASE)" \
	$(EXTRA_RPM_DEFINES) \
	-ba rpm-build/$(NAME).spec
	@rm -f rpm-build/$(NAME).spec
	@echo "#############################################"
	@echo "Ansible RPM is built:"
	@echo "    rpm-build/$(RPMNVR).noarch.rpm"
	@echo "#############################################"

.PHONY: debian
debian: sdist
	@for DIST in $(DEB_DIST) ; do \
	    mkdir -p deb-build/$${DIST} ; \
	    tar -C deb-build/$${DIST} -xvf dist/$(NAME)-$(VERSION).tar.gz ; \
	    cp -a packaging/debian deb-build/$${DIST}/$(NAME)-$(VERSION)/ ; \
        sed -ie "s|%VERSION%|$(DEB_VERSION)|g;s|%RELEASE%|$(DEB_RELEASE)|;s|%DIST%|$${DIST}|g;s|%DATE%|$(DEB_DATE)|g" deb-build/$${DIST}/$(NAME)-$(VERSION)/debian/changelog ; \
	done

.PHONY: deb
deb: deb-src
	@for DIST in $(DEB_DIST) ; do \
	    PBUILDER_OPTS="$(PBUILDER_OPTS) --distribution $${DIST} --basetgz $(PBUILDER_CACHE_DIR)/$${DIST}-$(PBUILDER_ARCH)-base.tgz --buildresult $(CURDIR)/deb-build/$${DIST}" ; \
	    $(PBUILDER_BIN) create $${PBUILDER_OPTS} --othermirror "deb http://archive.ubuntu.com/ubuntu $${DIST} universe" ; \
	    $(PBUILDER_BIN) update $${PBUILDER_OPTS} ; \
	    $(PBUILDER_BIN) build $${PBUILDER_OPTS} deb-build/$${DIST}/$(NAME)_$(DEB_VERSION)-$(DEB_RELEASE)~$${DIST}.dsc ; \
	done
	@echo "#############################################"
	@echo "Ansible DEB artifacts:"
	@for DIST in $(DEB_DIST) ; do \
	    echo deb-build/$${DIST}/$(NAME)_$(DEB_VERSION)-$(DEB_RELEASE)~$${DIST}_amd64.changes ; \
	done
	@echo "#############################################"

# Build package outside of pbuilder, with locally installed dependencies.

=== docs/docsite/Makefile ===
OS := $(shell uname -s)
SITELIB = $(shell python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()"):
PLUGIN_FORMATTER=../../hacking/build-ansible.py document-plugins
TESTING_FORMATTER=../bin/testing_formatter.sh
KEYWORD_DUMPER=../../hacking/build-ansible.py document-keywords
CONFIG_DUMPER=../../hacking/build-ansible.py document-config
GENERATE_CLI=../../hacking/build-ansible.py generate-man
COLLECTION_DUMPER=../../hacking/build-ansible.py collection-meta
ifeq ($(shell echo $(OS) | egrep -ic 'Darwin|FreeBSD|OpenBSD|DragonFly'),1)
CPUS ?= $(shell sysctl hw.ncpu|awk '{print $$2}')
else
CPUS ?= $(shell nproc)
endif

# Sets the build output directory if it's not already specified
ifndef BUILDDIR
	BUILDDIR = _build
endif

MODULE_ARGS=
ifdef MODULES
	MODULE_ARGS = -l $(MODULES)
endif

PLUGIN_ARGS=
ifdef PLUGINS
	PLUGIN_ARGS = -l $(PLUGINS)
endif

DOC_PLUGINS ?= become cache callback cliconf connection httpapi inventory lookup netconf shell strategy vars

assertrst:
ifndef rst
	$(error specify document or pattern with rst=somefile.rst)
endif

all: docs

docs: htmldocs

generate_rst: collections_meta config cli keywords modules plugins testing

htmldocs: generate_rst
	CPUS=$(CPUS) $(MAKE) -f Makefile.sphinx html

singlehtmldocs: generate_rst
	CPUS=$(CPUS) $(MAKE) -f Makefile.sphinx singlehtml

webdocs: docs

#TODO: leaving htmlout removal for those having older versions, should eventually be removed also
clean:
	@echo "Cleaning $(BUILDDIR)"
	-rm -rf $(BUILDDIR)/doctrees
	-rm -rf $(BUILDDIR)/html
	-rm -rf htmlout
	-rm -rf module_docs
	-rm -rf _build
	-rm -f .buildinfo
	-rm -f objects.inv
	-rm -rf *.doctrees
	@echo "Cleaning up minified css files"
	find . -type f -name "*.min.css" -delete
	@echo "Cleaning up byte compiled python stuff"
	find . -regex ".*\.py[co]$$" -delete
	@echo "Cleaning up editor backup files"
	find . -type f \( -name "*~" -or -name "#*" \) -delete
	find . -type f \( -name "*.swp" \) -delete
	@echo "Cleaning up generated rst"
	rm -f rst/modules/*_by_category.rst
	rm -f rst/modules/list_of_*.rst
	rm -f rst/modules/*_maintained.rst
	rm -f rst/modules/*_module.rst
	rm -f rst/modules/*_plugin.rst
	rm -f rst/playbooks_directives.rst
	rm -f rst/plugins/*/*.rst
	rm -f rst/reference_appendices/config.rst
	rm -f rst/reference_appendices/playbooks_keywords.rst
	rm -f rst/dev_guide/collections_galaxy_meta.rst
	rm -f rst/cli/*.rst

.PHONY: docs clean

collections_meta: ../templates/collections_galaxy_meta.rst.j2
	PYTHONPATH=../../lib $(COLLECTION_DUMPER) --template-file=../templates/collections_galaxy_meta.rst.j2 --output-dir=rst/dev_guide/ ../../lib/ansible/galaxy/data/collections_galaxy_meta.yml

# TODO: make generate_man output dir cli option
cli:
	mkdir -p rst/cli
	PYTHONPATH=../../lib $(GENERATE_CLI) --template-file=../templates/cli_rst.j2 --output-dir=rst/cli/ --output-format rst ../../lib/ansible/cli/*.py

keywords: ../templates/playbooks_keywords.rst.j2
	PYTHONPATH=../../lib $(KEYWORD_DUMPER) --template-dir=../templates --output-dir=rst/reference_appendices/ ./keyword_desc.yml

config: ../templates/config.rst.j2
	PYTHONPATH=../../lib $(CONFIG_DUMPER) --template-file=../templates/config.rst.j2 --output-dir=rst/reference_appendices/ ../../lib/ansible/config/base.yml

modules: ../templates/plugin.rst.j2
	PYTHONPATH=../../lib $(PLUGIN_FORMATTER) -t rst --template-dir=../templates --module-dir=../../lib/ansible/modules -o rst/modules/ $(MODULE_ARGS)

plugins: ../templates/plugin.rst.j2
	@echo "looping over doc plugins"
	for plugin in $(DOC_PLUGINS); \
	do \
		PYTHONPATH=../../lib $(PLUGIN_FORMATTER) -t rst --plugin-type $$plugin --template-dir=../templates --module-dir=../../lib/ansible/plugins/$$plugin -o rst $(PLUGIN_ARGS); \
	done

testing:
	$(TESTING_FORMATTER)

epub:
	(CPUS=$(CPUS) $(MAKE) -f Makefile.sphinx epub)

htmlsingle: assertrst
	sphinx-build -j $(CPUS) -b html -d $(BUILDDIR)/doctrees ./rst $(BUILDDIR)/html rst/$(rst)
	@echo "Output is in $(BUILDDIR)/html/$(rst:.rst=.html)"

=== docs/docsite/requirements.txt ===
#pip packages required to build docsite
jinja2
PyYAML
rstcheck
sphinx
sphinx-notfound-page
Pygments >= 2.4.0
straight.plugin # Needed for hacking/build-ansible.py which is the backend build script

=== packaging/release/Makefile ===
version ?= $(shell python versionhelper/version_helper.py --raw)

.PHONY: all
all:
	@echo "USAGE:"
	@echo
	@echo "make release version={version} # current version is '${version}'"
	@echo "make publish"
	@echo
	@echo "NOTE: Make sure to source hacking/env-setup before running these targets."

.PHONY: release
release: version summary changelog commit-release
	git show -p
	git status
	@echo
	@echo 'Run `git push` if you are satisfied with the changes.'

.PHONY: version
version:
	sed -i.bak "s/^__version__ = .*$$/__version__ = '${version}'/" ../../lib/ansible/release.py
	rm ../../lib/ansible/release.py.bak

.PHONY: summary
summary:
	@printf '%s\n%s\n%s\n' \
	'release_summary: |' \
	'   | Release Date: $(shell date '+%Y-%m-%d')' \
	'   | `Porting Guide <https://docs.ansible.com/ansible/devel/porting_guides.html>`__' > \
	../../changelogs/fragments/v${version}_summary.yaml

.PHONY: changelog
changelog:
	changelogs/changelog.py release -vv && changelogs/changelog.py generate -vv
	ansible-test sanity changelogs/

.PHONY: commit-release
commit-release:
	git add ../../changelogs/ ../../lib/ansible/release.py
	git commit -m "New release v${version}"

.PHONY: publish
publish: tag postversion commit-postversion
	git show -p
	git status
	@echo
	@echo 'Run `git push --follow-tags` if you are satisfied with the changes.'

.PHONY: tag
tag:
	git tag -a v${version} -m "New release v${version}"

.PHONY: postversion
postversion:
	sed -i.bak "s/^__version__ = .*$$/__version__ = '${version}.post0'/" ../../lib/ansible/release.py
	rm ../../lib/ansible/release.py.bak

.PHONY: commit-postversion
commit-postversion:
	git add ../../lib/ansible/release.py
	git commit -m "Update Ansible release version to v${version}."

=== debian/changelog ===
ansible (2.9.6+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Lee Garrett <debian@rocketjump.eu>  Mon, 16 Mar 2020 16:52:07 +0100

=== debian/control ===
Source: ansible
Maintainer: Harlan Lieberman-Berg <hlieberman@debian.org>
Uploaders: Lee Garrett <debian@rocketjump.eu>
Section: admin
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-python,
               python3-all,
               python3-crypto,
               python3-docutils,
               python3-jinja2,
               python3-nose,
               python3-packaging,
               python3-passlib,
               python3-setuptools,
               python3-straight.plugin,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-yaml,
               sphinx-common
Rules-Requires-Root: no
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/debian/ansible
Vcs-Git: https://salsa.debian.org/debian/ansible.git
Homepage: https://www.ansible.com

Package: ansible
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         openssh-client | python3-paramiko,
         python3-crypto,
         python3-distutils,
         python3-dnspython,
         python3-httplib2,
         python3-jinja2,
         python3-netaddr,
         python3-yaml
Recommends: python3-argcomplete,
            python3-cryptography,
            python3-jmespath,
            python3-kerberos,
            python3-libcloud,
            python3-selinux,
            python3-winrm,
            python3-xmltodict
Suggests: cowsay,
          sshpass
Description: Configuration management, deployment, and task execution system
 Ansible is a radically simple model-driven configuration management,
 multi-node deployment, and remote task execution system. Ansible works
 over SSH and does not require any software or daemons to be installed
 on remote nodes. Extension modules can be written in any language and
 are transferred to managed machines automatically.

Package: ansible-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         fonts-font-awesome,
         fonts-roboto-fontface,
         libjs-jquery,
         libjs-modernizr,
         libjs-underscore
Description: Ansible documentation and examples
 Ansible is a radically simple model-driven configuration management,
 multi-node deployment, and remote task execution system. Ansible works
 over SSH and does not require any software or daemons to be installed
 on remote nodes. Extension modules can be written in any language and
 are transferred to managed machines automatically.
 .
 This package contains HTML documentation and examples.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ansible
export ANSIBLE_LOCAL_TEMP=debian/.ansible/tmp

DOPACKAGES = $(shell dh_listpackages)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean --exclude=test/units/inventory_test_data/group_vars/noparse/all.yml~

override_dh_auto_build:
	dh_auto_build
ifneq (,$(filter ansible-doc,$(DOPACKAGES)))
	# html documentation
	$(MAKE) webdocs
	# manpage documentation
	$(MAKE) docs
endif

override_dh_auto_test:
	# For now, disable the tests
	#make tests-nonet

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://releases.ansible.com/ansible/ ansible-([0-9\.]+).tar.gz

## ansible 2.9.6+dfsg-1+10.0trisquel2

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 ASCII2MAN = @echo "ERROR: rst2man from docutils command is not installed but is required to build $(MANPAGES)" && exit 1
 endif
 
-PYTHON=python
+PYTHON=python3
 GENERATE_CLI = hacking/build-ansible.py generate-man
 
 SITELIB = $(shell $(PYTHON) -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
@@ -199,9 +199,6 @@
 	find test/ -type f -name '*.retry' -delete
 	@echo "Cleaning up RPM building stuff"
 	rm -rf MANIFEST rpm-build
-	@echo "Cleaning up Debian building stuff"
-	rm -rf debian
-	rm -rf deb-build
 	rm -rf docs/json
 	rm -rf docs/js
 	@echo "Cleaning up authors file"
@@ -339,3 +336,6 @@
 	@echo "#############################################"
 
 # Build package outside of pbuilder, with locally installed dependencies.
+# Install BuildRequires as noted in packaging/debian/control.
+.PHONY: local_deb
+local_deb: debian

=== .pc/0005-use-py3.patch/Makefile ===
# WARN: gmake syntax
########################################################
# Makefile for Ansible
#
# useful targets:
#   make clean ---------------- clean up
#   make webdocs -------------- produce ansible doc at docs/docsite/_build/html
#   make sdist ---------------- produce a tarball
#   make srpm ----------------- produce a SRPM
#   make rpm  ----------------- produce RPMs
#   make deb-src -------------- produce a DEB source
#   make deb ------------------ produce a DEB
#   make docs ----------------- rebuild the manpages (results are checked in)
#   make tests ---------------- run the tests (see https://docs.ansible.com/ansible/devel/dev_guide/testing_units.html for requirements)

########################################################
# variable section

NAME = ansible
OS = $(shell uname -s)
PREFIX ?= '/usr/local'
SDIST_DIR ?= 'dist'

# This doesn't evaluate until it's called. The -D argument is the
# directory of the target file ($@), kinda like `dirname`.
MANPAGES ?= $(patsubst %.rst.in,%,$(wildcard ./docs/man/man1/ansible*.1.rst.in))
ifneq ($(shell which rst2man 2>/dev/null),)
ASCII2MAN = rst2man $< $@
else ifneq ($(shell which rst2man.py 2>/dev/null),)
ASCII2MAN = rst2man.py $< $@
else
ASCII2MAN = @echo "ERROR: rst2man from docutils command is not installed but is required to build $(MANPAGES)" && exit 1
endif

PYTHON=python
GENERATE_CLI = hacking/build-ansible.py generate-man

SITELIB = $(shell $(PYTHON) -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

# fetch version from project release.py as single source-of-truth
VERSION := $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --raw || echo error)
ifeq ($(findstring error,$(VERSION)), error)
$(error "version_helper failed")
endif

MAJOR_VERSION := $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --majorversion)
CODENAME := $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --codename)

# if a specific release was not requested, set to 1 (RPMs have "fancier" logic for this further down)
RELEASE ?= 1

# Get the branch information from git
ifneq ($(shell which git),)
GIT_DATE := $(shell git log -n 1 --format="%ci")
GIT_HASH := $(shell git log -n 1 --format="%h")
GIT_BRANCH := $(shell git rev-parse --abbrev-ref HEAD | sed 's/[-_.\/]//g')
GITINFO = .$(GIT_HASH).$(GIT_BRANCH)
else
GITINFO = ""
endif

ifeq ($(shell echo $(OS) | egrep -c 'Darwin|FreeBSD|OpenBSD|DragonFly'),1)
DATE := $(shell date -j -r $(shell git log -n 1 --format="%ct") +%Y%m%d%H%M)
CPUS ?= $(shell sysctl hw.ncpu|awk '{print $$2}')
else
DATE := $(shell date --utc --date="$(GIT_DATE)" +%Y%m%d%H%M)
CPUS ?= $(shell nproc)
endif

# DEB build parameters
DEBUILD_BIN ?= debuild
DEBUILD_OPTS = --source-option="-I"
DPUT_BIN ?= dput
DPUT_OPTS ?=
DEB_DATE := $(shell LC_TIME=C date +"%a, %d %b %Y %T %z")
DEB_VERSION ?= $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --debversion)
ifeq ($(OFFICIAL),yes)
    DEB_RELEASE ?= $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --debrelease)ppa
    # Sign OFFICIAL builds using 'DEBSIGN_KEYID'
    # DEBSIGN_KEYID is required when signing
    ifneq ($(DEBSIGN_KEYID),)
        DEBUILD_OPTS += -k$(DEBSIGN_KEYID)
    endif
else
    DEB_RELEASE ?= 100.git$(DATE)$(GITINFO)
    # Do not sign unofficial builds
    DEBUILD_OPTS += -uc -us
    DPUT_OPTS += -u
endif
DEBUILD = $(DEBUILD_BIN) $(DEBUILD_OPTS)
DEB_PPA ?= ppa
# Choose the desired Ubuntu release: lucid precise saucy trusty
DEB_DIST ?= unstable

# pbuilder parameters
PBUILDER_ARCH ?= amd64
PBUILDER_CACHE_DIR = /var/cache/pbuilder
PBUILDER_BIN ?= pbuilder
PBUILDER_OPTS ?= --debootstrapopts --variant=buildd --architecture $(PBUILDER_ARCH) --debbuildopts -b

# RPM build parameters
RPMSPECDIR= packaging/rpm
RPMSPEC = $(RPMSPECDIR)/ansible.spec
RPMDIST = $(shell rpm --eval '%{?dist}')

ifneq ($(OFFICIAL),yes)
    RPMRELEASE = 100.git$(DATE)$(GITINFO)
endif
ifeq ($(PUBLISH),nightly)
    # https://fedoraproject.org/wiki/Packaging:Versioning#Snapshots
    RPMRELEASE = $(RELEASE).$(DATE)git.$(GIT_HASH)
endif

RPMVERSION ?= $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --baseversion)
RPMRELEASE ?= $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --rpmrelease)
RPMNVR = "$(NAME)-$(RPMVERSION)-$(RPMRELEASE)$(RPMDIST)$(REPOTAG)"

# MOCK build parameters
MOCK_BIN ?= mock
MOCK_CFG ?=

# dynamically add repotag define only if specified
ifneq ($(REPOTAG),)
    EXTRA_RPM_DEFINES += --define "repotag $(REPOTAG)"
endif

# ansible-test parameters
ANSIBLE_TEST ?= bin/ansible-test
TEST_FLAGS ?=

# ansible-test units parameters (make test / make test-py3)
PYTHON_VERSION ?= $(shell python2 -c 'import sys; print("%s.%s" % sys.version_info[:2])')
PYTHON3_VERSION ?= $(shell python3 -c 'import sys; print("%s.%s" % sys.version_info[:2])')

# ansible-test integration parameters (make integration)
IMAGE ?= centos7
TARGET ?=

########################################################

.PHONY: all
all: clean python

.PHONY: tests
tests:
	$(ANSIBLE_TEST) units -v --python $(PYTHON_VERSION) $(TEST_FLAGS)

.PHONY: tests-py3
tests-py3:
	$(ANSIBLE_TEST) units -v --python $(PYTHON3_VERSION) $(TEST_FLAGS)

.PHONY: tests-nonet
tests-nonet:
	$(ANSIBLE_TEST) units -v --python $(PYTHON_VERSION) $(TEST_FLAGS)  --exclude test/units/modules/network/

.PHONY: integration
integration:
	$(ANSIBLE_TEST) integration -v --docker $(IMAGE) $(TARGET) $(TEST_FLAGS)

.PHONY: authors
authors:
	sh hacking/authors.sh

# Regenerate %.1.rst if %.1.rst.in has been modified more
# recently than %.1.rst.
%.1.rst: %.1.rst.in
	sed "s/%VERSION%/$(VERSION)/" $< > $@
	rm $<

# Regenerate %.1 if %.1.rst or release.py has been modified more
# recently than %.1. (Implicitly runs the %.1.rst recipe)
%.1: %.1.rst lib/ansible/release.py
	$(ASCII2MAN)

.PHONY: clean
clean:
	@echo "Cleaning up distutils stuff"
	rm -rf build
	rm -rf dist
	rm -rf lib/ansible.egg-info/
	@echo "Cleaning up byte compiled python stuff"
	find . -type f -regex ".*\.py[co]$$" -delete
	find . -type d -name "__pycache__" -delete
	@echo "Cleaning up editor backup files"
	find . -type f -not -path ./test/units/inventory_test_data/group_vars/noparse/all.yml~ \( -name "*~" -or -name "#*" \) -delete
	find . -type f \( -name "*.swp" \) -delete
	@echo "Cleaning up manpage stuff"
	find ./docs/man -type f -name "*.xml" -delete
	find ./docs/man -type f -name "*.rst" -delete
	find ./docs/man/man3 -type f -name "*.3" -delete
	rm -f ./docs/man/man1/*
	@echo "Cleaning up output from test runs"
	rm -rf test/test_data
	rm -rf shippable/
	rm -rf logs/
	rm -rf .cache/
	rm -f test/units/.coverage*
	rm -rf test/results/*/*
	find test/ -type f -name '*.retry' -delete
	@echo "Cleaning up RPM building stuff"
	rm -rf MANIFEST rpm-build
	rm -rf docs/json
	rm -rf docs/js
	@echo "Cleaning up authors file"
	rm -f AUTHORS.TXT
	@echo "Cleaning up docsite"
	$(MAKE) -C docs/docsite clean

.PHONY: python
python:
	$(PYTHON) setup.py build

.PHONY: install
install:
	$(PYTHON) setup.py install

install_manpages:
	gzip -9 $(wildcard ./docs/man/man1/ansible*.1)
	cp $(wildcard ./docs/man/man1/ansible*.1.gz) $(PREFIX)/man/man1/

.PHONY: sdist_check
sdist_check:
	$(PYTHON) packaging/sdist/check-link-behavior.py

.PHONY: sdist
sdist: sdist_check clean docs
	_ANSIBLE_SDIST_FROM_MAKEFILE=1 $(PYTHON) setup.py sdist --dist-dir=$(SDIST_DIR)

# Official releases generate the changelog as the last commit before the release.
# Snapshots shouldn't result in new checkins so the changelog is generated as
# part of creating the tarball.
.PHONY: snapshot
snapshot: sdist_check clean docs changelog
	_ANSIBLE_SDIST_FROM_MAKEFILE=1 $(PYTHON) setup.py sdist --dist-dir=$(SDIST_DIR)

.PHONY: sdist_upload
sdist_upload: clean docs
	$(PYTHON) setup.py sdist upload 2>&1 |tee upload.log

.PHONY: changelog
changelog:
	PYTHONPATH=./lib packaging/release/changelogs/changelog.py release -vv && PYTHONPATH=./lib packaging/release/changelogs/changelog.py generate -vv

.PHONY: rpmcommon
rpmcommon: sdist
	@mkdir -p rpm-build
	@cp dist/*.gz rpm-build/
	@cp $(RPMSPEC) rpm-build/$(NAME).spec

.PHONY: mock-srpm
mock-srpm: /etc/mock/$(MOCK_CFG).cfg rpmcommon
	$(MOCK_BIN) -r $(MOCK_CFG) $(MOCK_ARGS) --resultdir rpm-build/ --bootstrap-chroot --old-chroot --buildsrpm --spec rpm-build/$(NAME).spec --sources rpm-build/ \
	--define "rpmversion $(RPMVERSION)" \
	--define "upstream_version $(VERSION)" \
	--define "rpmrelease $(RPMRELEASE)" \
	$(EXTRA_RPM_DEFINES)
	@echo "#############################################"
	@echo "Ansible SRPM is built:"
	@echo rpm-build/*.src.rpm
	@echo "#############################################"

.PHONY: mock-rpm
mock-rpm: /etc/mock/$(MOCK_CFG).cfg mock-srpm
	$(MOCK_BIN) -r $(MOCK_CFG) $(MOCK_ARGS) --resultdir rpm-build/ --bootstrap-chroot --old-chroot --rebuild rpm-build/$(NAME)-*.src.rpm \
	--define "rpmversion $(RPMVERSION)" \
	--define "upstream_version $(VERSION)" \
	--define "rpmrelease $(RPMRELEASE)" \
	$(EXTRA_RPM_DEFINES)
	@echo "#############################################"
	@echo "Ansible RPM is built:"
	@echo rpm-build/*.noarch.rpm
	@echo "#############################################"

.PHONY: srpm
srpm: rpmcommon
	@rpmbuild --define "_topdir %(pwd)/rpm-build" \
	--define "_builddir %{_topdir}" \
	--define "_rpmdir %{_topdir}" \
	--define "_srcrpmdir %{_topdir}" \
	--define "_specdir $(RPMSPECDIR)" \
	--define "_sourcedir %{_topdir}" \
	--define "upstream_version $(VERSION)" \
	--define "rpmversion $(RPMVERSION)" \
	--define "rpmrelease $(RPMRELEASE)" \
	$(EXTRA_RPM_DEFINES) \
	-bs rpm-build/$(NAME).spec
	@rm -f rpm-build/$(NAME).spec
	@echo "#############################################"
	@echo "Ansible SRPM is built:"
	@echo "    rpm-build/$(RPMNVR).src.rpm"
	@echo "#############################################"

.PHONY: rpm
rpm: rpmcommon
	@rpmbuild --define "_topdir %(pwd)/rpm-build" \
	--define "_builddir %{_topdir}" \
	--define "_rpmdir %{_topdir}" \
	--define "_srcrpmdir %{_topdir}" \
	--define "_specdir $(RPMSPECDIR)" \
	--define "_sourcedir %{_topdir}" \
	--define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" \
	--define "__python `which $(PYTHON)`" \
	--define "upstream_version $(VERSION)" \
	--define "rpmversion $(RPMVERSION)" \
	--define "rpmrelease $(RPMRELEASE)" \
	$(EXTRA_RPM_DEFINES) \
	-ba rpm-build/$(NAME).spec
	@rm -f rpm-build/$(NAME).spec
	@echo "#############################################"
	@echo "Ansible RPM is built:"
	@echo "    rpm-build/$(RPMNVR).noarch.rpm"
	@echo "#############################################"

.PHONY: debian
debian: sdist
	@for DIST in $(DEB_DIST) ; do \
	    mkdir -p deb-build/$${DIST} ; \
	    tar -C deb-build/$${DIST} -xvf dist/$(NAME)-$(VERSION).tar.gz ; \
	    cp -a packaging/debian deb-build/$${DIST}/$(NAME)-$(VERSION)/ ; \
        sed -ie "s|%VERSION%|$(DEB_VERSION)|g;s|%RELEASE%|$(DEB_RELEASE)|;s|%DIST%|$${DIST}|g;s|%DATE%|$(DEB_DATE)|g" deb-build/$${DIST}/$(NAME)-$(VERSION)/debian/changelog ; \
	done

.PHONY: deb
deb: deb-src
	@for DIST in $(DEB_DIST) ; do \
	    PBUILDER_OPTS="$(PBUILDER_OPTS) --distribution $${DIST} --basetgz $(PBUILDER_CACHE_DIR)/$${DIST}-$(PBUILDER_ARCH)-base.tgz --buildresult $(CURDIR)/deb-build/$${DIST}" ; \
	    $(PBUILDER_BIN) create $${PBUILDER_OPTS} --othermirror "deb http://archive.ubuntu.com/ubuntu $${DIST} universe" ; \
	    $(PBUILDER_BIN) update $${PBUILDER_OPTS} ; \
	    $(PBUILDER_BIN) build $${PBUILDER_OPTS} deb-build/$${DIST}/$(NAME)_$(DEB_VERSION)-$(DEB_RELEASE)~$${DIST}.dsc ; \
	done
	@echo "#############################################"
	@echo "Ansible DEB artifacts:"
	@for DIST in $(DEB_DIST) ; do \
	    echo deb-build/$${DIST}/$(NAME)_$(DEB_VERSION)-$(DEB_RELEASE)~$${DIST}_amd64.changes ; \
	done
	@echo "#############################################"

# Build package outside of pbuilder, with locally installed dependencies.
# Install BuildRequires as noted in packaging/debian/control.
.PHONY: local_deb
local_deb: debian

=== docs/docsite/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 OS := $(shell uname -s)
-SITELIB = $(shell python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()"):
+SITELIB = $(shell python3 -c "from distutils.sysconfig import get_python_lib; print get_python_lib()"):
 PLUGIN_FORMATTER=../../hacking/build-ansible.py document-plugins
 TESTING_FORMATTER=../bin/testing_formatter.sh
 KEYWORD_DUMPER=../../hacking/build-ansible.py document-keywords

=== debian/changelog ===
ansible (2.9.6+dfsg-1+10.0trisquel2) nabia; urgency=medium

  * Identify os_family as Debian

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 30 Apr 2021 19:04:08 +0000

## ansible 2.9.9+dfsg

=== debian/changelog ===
ansible (2.9.9+dfsg-1) unstable; urgency=medium

  * New upstream release 

 -- Lee Garrett <debian@rocketjump.eu>  Sat, 30 May 2020 22:11:57 +0200

ansible (2.9.7+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Fix debian/copyright (Closes: #958907)
  * Tighten dependency on python3-paramiko to ease backports
  * Fix win_unzip path escape (CVE-2020-1737)
  * Fix temp dir race condition (CVE-2020-1733)
  * Fix password on commandline in subversion module (CVE-2020-1739)
  * Fix ansible vault symlink vulnerability (CVE-2020-1740)
  * Fix ansible galaxy path escape (CVE-2020-10691)


 -- Lee Garrett <debian@rocketjump.eu>  Thu, 07 May 2020 18:49:05 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         openssh-client | python3-paramiko,
+         openssh-client | python3-paramiko (>= 2.6.0),
          python3-crypto,
          python3-distutils,
          python3-dnspython,

## ansible 2.9.13+dfsg

=== debian/changelog ===
ansible (2.9.13+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #963482)
  * Remove hidden files from binary package (Closes: #963165)
  * Bump Standards-Version (no changes needed)

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 11 Sep 2020 07:32:43 +0200

## ansible 2.9.13-1ppa~bionic+9.0trisquel1

=== debian/changelog ===
ansible (2.9.13-1ppa~bionic+9.0trisquel1) etiona-backports; urgency=medium

  * Identify os_family as Debian

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 01 Sep 2020 10:13:05 +0000

ansible (2.9.13-1ppa~bionic) bionic; urgency=low

  * 2.9.13 release

 -- Ansible, Inc. <info@ansible.com>  Tue, 01 Sep 2020 05:49:00 +0000

## ansible 2.9.15-1ppa~xenial+8.0trisquel1

=== debian/changelog ===
ansible (2.9.15-1ppa~xenial+8.0trisquel1) flidas-backports; urgency=medium

  * Identify os_family as Debian

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 08 Nov 2020 21:32:20 +0000

ansible (2.9.15-1ppa~xenial) xenial; urgency=low

  * 2.9.15 release

 -- Ansible, Inc. <info@ansible.com>  Tue, 03 Nov 2020 00:16:34 +0000

## ansible 2.9.16+dfsg

=== debian/changelog ===
ansible (2.9.16+dfsg-1~bpo10+2) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Fix a broken ansible-connection symlink

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 29 Mar 2021 16:41:28 +0200

ansible (2.9.16+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 16 Mar 2021 10:59:20 +0100

ansible (2.9.16+dfsg-1) unstable; urgency=medium

  * New upstream release 

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 16 Dec 2020 20:27:46 +0100

ansible (2.9.6+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Non-maintainer upload
  * Rebuild for buster-backports.
  * d/control:
    - Set the paramiko required version to 2.6.0 and higher

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 08 Apr 2020 10:38:55 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python3-yaml,
                sphinx-common
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/ansible
 Vcs-Git: https://salsa.debian.org/debian/ansible.git
 Homepage: https://www.ansible.com

=== debian/rules ===
--- 
+++ 
@@ -26,3 +26,8 @@
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
+
+execute_after_dh_auto_install:
+	find lib/ -name '.git*' -delete
+	find lib/ -name '.travis.yml' -delete
+

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://releases.ansible.com/ansible/ ansible-(2\.9\.[0-9]+).tar.gz

## ansible 2.9.26-1ppa~xenial+8.0trisquel1

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 ASCII2MAN = @echo "ERROR: rst2man from docutils command is not installed but is required to build $(MANPAGES)" && exit 1
 endif
 
-PYTHON=python3
+PYTHON=python
 GENERATE_CLI = hacking/build-ansible.py generate-man
 
 SITELIB = $(shell $(PYTHON) -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
@@ -79,7 +79,7 @@
     # Sign OFFICIAL builds using 'DEBSIGN_KEYID'
     # DEBSIGN_KEYID is required when signing
     ifneq ($(DEBSIGN_KEYID),)
-        DEBUILD_OPTS += -k$(DEBSIGN_KEYID)
+        DEBUILD_OPTS += -k$(DEBSIGN_KEYID) -p"$(DEBSIGN_PROGRAM)"
     endif
 else
     DEB_RELEASE ?= 100.git$(DATE)$(GITINFO)
@@ -199,6 +199,9 @@
 	find test/ -type f -name '*.retry' -delete
 	@echo "Cleaning up RPM building stuff"
 	rm -rf MANIFEST rpm-build
+	@echo "Cleaning up Debian building stuff"
+	rm -rf debian
+	rm -rf deb-build
 	rm -rf docs/json
 	rm -rf docs/js
 	@echo "Cleaning up authors file"
@@ -336,6 +339,3 @@
 	@echo "#############################################"
 
 # Build package outside of pbuilder, with locally installed dependencies.
-# Install BuildRequires as noted in packaging/debian/control.
-.PHONY: local_deb
-local_deb: debian

=== docs/docsite/requirements.txt ===
#pip packages required to build docsite
docutils == 0.16 # pin for now until the problem with unordered lists is fixed
jinja2
PyYAML
rstcheck
sphinx < 4.0
sphinx-notfound-page
Pygments >= 2.4.0
straight.plugin # Needed for hacking/build-ansible.py which is the backend build script

=== debian/changelog ===
ansible (2.9.26-1ppa~xenial+8.0trisquel1) flidas-backports; urgency=medium

  * Identify os_family as Debian

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 21 Sep 2021 06:37:25 +0000

ansible (2.9.26-1ppa~xenial) xenial; urgency=low

  * 2.9.26 release

 -- Ansible Community Builds <ansible-community-builds@redhat.com>  Tue, 21 Sep 2021 04:38:24 +0000

=== packaging/debian/changelog ===
ansible (%VERSION%-%RELEASE%~%DIST%) %DIST%; urgency=low

  * %VERSION% release

 -- Ansible Community Builds <ansible-community-builds@redhat.com>  %DATE%

=== packaging/debian/control ===
Source: ansible
Section: admin
Priority: optional
Standards-Version: 3.9.3
Maintainer: Ansible Community Builds <ansible-community-builds@redhat.com>
Uploaders: Ansible GitHub Actions <ansible-gha@redhat.com>
Build-Depends: cdbs, debhelper (>= 5.0.0), python-docutils, python, dh-python | python-support, python-setuptools, lsb-release
Homepage: https://github.com/ansible/ansible/

Package: ansible
Architecture: all
Depends: python-jinja2, python-yaml, python-paramiko, python-httplib2, python-six, python-crypto (>= 2.6), python-setuptools, sshpass, ${misc:Depends}, ${python:Depends}
Description: Ansible IT Automation
 Ansible is a radically simple model-driven configuration management,
 multi-node deployment, and remote task execution system. Ansible works
 over SSH and does not require any software or daemons to be installed
 on remote nodes. Extension modules can be written in any language and
 are transferred to managed machines automatically.

Package: ansible-test
Architecture: all
Depends: ansible (= ${binary:Version}), python-virtualenv, ${misc:Depends}
Description: Ansible IT Automation
 Ansible is a radically simple model-driven configuration management,
 multi-node deployment, and remote task execution system. Ansible works
 over SSH and does not require any software or daemons to be installed
 on remote nodes. Extension modules can be written in any language and
 are transferred to managed machines automatically.
 This package installs the ansible-test command for testing modules and
 plugins developed for ansible.

## ansible 2.9.27-1ppa~bionic+9.0trisquel1

=== debian/changelog ===
ansible (2.9.27-1ppa~bionic+9.0trisquel1) etiona-backports; urgency=medium

  * Identify os_family as Debian

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 16 Oct 2021 19:31:52 +0000

ansible (2.9.27-1ppa~bionic) bionic; urgency=low

  * 2.9.27 release

 -- Ansible Community Builds <ansible-community-builds@redhat.com>  Mon, 11 Oct 2021 17:48:54 +0000

## ansible 2.10.7

=== debian/changelog ===
ansible (2.10.7-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Gracefully handle missing /etc/ansible on upgrade.

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 10 Feb 2021 00:44:56 +0100

ansible (2.10.4-1) experimental; urgency=medium

  * New upstream release
  * Depend on ansible-base
  * Remove building of ansible-doc (now provided by ansible-base)
  * Remove all d/patches/*, code is now shipped in ansible-base
  * Stop shipping conffiles in /etc/ansible/*
  * Remove deps to python-crypto, not needed (Closes: #971309)
  * Remove d/ansible.links (Closes: #970422)

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 07 Jan 2021 23:15:47 +0100

=== debian/control ===
Source: ansible
Maintainer: Harlan Lieberman-Berg <hlieberman@debian.org>
Uploaders: Lee Garrett <debian@rocketjump.eu>
Section: admin
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-python,
               python3-all,
               python3-docutils,
               python3-jinja2,
               python3-nose,
               python3-packaging,
               python3-passlib,
               python3-setuptools,
               python3-straight.plugin,
               python3-yaml,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian/ansible
Vcs-Git: https://salsa.debian.org/debian/ansible.git
Homepage: https://www.ansible.com

Package: ansible
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ansible-base (>= 2.10.4-1~),
         openssh-client | python3-paramiko (>= 2.6.0),
         python3-distutils,
         python3-dnspython,
         python3-httplib2,
         python3-jinja2,
         python3-netaddr,
         python3-yaml
Recommends: python3-argcomplete,
            python3-cryptography,
            python3-jmespath,
            python3-kerberos,
            python3-libcloud,
            python3-selinux,
            python3-winrm,
            python3-xmltodict
Suggests: cowsay,
          sshpass
Description: Configuration management, deployment, and task execution system
 Ansible is a radically simple model-driven configuration management,
 multi-node deployment, and remote task execution system. Ansible works
 over SSH and does not require any software or daemons to be installed
 on remote nodes. Extension modules can be written in any language and
 are transferred to managed machines automatically.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean --exclude=test/units/inventory_test_data/group_vars/noparse/all.yml~

override_dh_auto_test:
	# For now, disable the tests
	#make tests-nonet

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

execute_after_dh_auto_install:
	find debian/ansible/ -depth -name '.git*' -exec rm -r {} +
	find debian/ansible/ -name '.travis.yml' -delete
